Summary: Apache contrib modules for HTTP daemon
Name: apache-contrib
Release: 1
%define apversion 1.3.12
%define contribversion 1.0.8
Version: %{contribversion}
Group: System Environment/Daemons
Source: ftp://ftp.apache.org/apache/dist/apache-contrib-%{contribversion}.tar.gz
Copyright: BSD-like
BuildRoot: /var/tmp/%{name}-root
Requires: apache >= %{apversion}
BuildRequires: apache-devel
Prereq: /sbin/chkconfig
URL: http://www.apache.org/
Packager: Henri Gomez <gomez@slib.fr>

%description
apache-contrib is Apache Contrib Modules to use
with apache Web Server.

%package manual
Summary: Documentation for Apache Contrib modules
Group: Documentation

%description manual
The apache-contrib manual package contains the complete manual 
and reference guide for the Apache Web server contrib modules.
If you need Apache documentation for contrib modules installed 
on the local machine, install this package.

%prep 
%setup -n apache-contrib-%{contribversion}

%build
make APXS=/usr/sbin/apxs

%install
# Remove modules allready present in apache standard distro
rm -rf mod_bandwidth
rm -rf mod_put
install -d $RPM_BUILD_ROOT/usr/lib/apache
mkdir -p doc
mkdir -p $RPM_BUILD_ROOT/home/httpd/html/manual/mod/

# Locate and copy README's/BLURB/html (all but mod_define)
find . -name "README" -type f -print | sed "s@./@@"   > %{name}-%{version}-docs
find . -name "00BLURB" -type f -print | sed "s@./@@" >> %{name}-%{version}-docs
find . -name "*.htm*" -type f -print | sed "s@./@@"  >> %{name}-%{version}-docs
grep -v "mod_define" < %{name}-%{version}-docs > %{name}-%{version}-docsx
rm -f %{name}-%{version}-docs
mv %{name}-%{version}-docsx %{name}-%{version}-docs

for i in `cat %{name}-%{version}-docs`; do
	if [ $i != "README" ]; then
		mkdir -p doc/`dirname $i`
		cp $i doc/`dirname $i`
	fi
done	

# Install Libs
find . -name "*.so" -type f -exec install -m755 -s \{\} $RPM_BUILD_ROOT/usr/lib/apache \;

# Install HTML manual
# Locate and copy htmls (all but mod_define)
find . -name "*.htm*" -type f -print | sed "s@./@@"   > %{name}-%{version}-html
grep -v "mod_define" < %{name}-%{version}-html > %{name}-%{version}-htmlx
rm -f %{name}-%{version}-html
mv %{name}-%{version}-htmlx %{name}-%{version}-html

for i in `cat %{name}-%{version}-html`; do
	cp $i $RPM_BUILD_ROOT/home/httpd/html/manual/mod/`basename $i`
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
LIBA=modules
#
# Add LoadModule string
#
if ! grep -q '.*LoadModule *allowdev_module' /etc/httpd/conf/httpd.conf ; then
      sed "s|^\LoadModule setenvif_module    $LIBA/mod_setenvif.so\$|LoadModule setenvif_module    $LIBA/mod_setenvif.so\\
#LoadModule allowdev_module    $LIBA/mod_allowdev.so\\
#LoadModule cookie_auth_module $LIBA/mod_auth_cookie.so\\
#LoadModule cookie_file_access_module $LIBA/mod_auth_cookie_file.so\\
#LoadModule external_auth_module $LIBA/mod_auth_external.so\\
#LoadModule inst_auth_module   $LIBA/mod_auth_inst.so\\
#LoadModule auth_system_module $LIBA/mod_auth_system.so\\
#LoadModule cvs_module         $LIBA/mod_cvs.so\\
#LoadModule cache_module       $LIBA/libcache.so\\
#LoadModule cgisock_module     $LIBA/cgisock.so\\
#LoadModule disallow_id_module $LIBA/mod_disallow_id.so\\
#LoadModule eaccess_module     $LIBA/mod_eaccess.so\\
#LoadModule fastcgi_module     $LIBA/mod_fastcgi.so\\
#LoadModule w3c_ip_forwarding_module $LIBA/mod_ip_forwarding.so\\
#LoadModule lock_module        $LIBA/mod_lock.so\\
#LoadModule peephole_module    $LIBA/mod_peephole.so\\
#LoadModule qs2ssi_module      $LIBA/mod_qs2ssi.so\\
#LoadModule random_module      $LIBA/mod_random.so\\
#LoadModule roaming_module     $LIBA/mod_roaming.so\\
#LoadModule session_module     $LIBA/mod_session.so\\
#LoadModule ticket_module      $LIBA/mod_ticket.so\\
#LoadModule urlcount_module    $LIBA/mod_urlcount.so|" < /etc/httpd/conf/httpd.conf > /etc/httpd/conf/httpd.conf-
      mv -f /etc/httpd/conf/httpd.conf- /etc/httpd/conf/httpd.conf
fi

# 
# Add AddModule string
#
if ! grep -q '.*AddModule *mod_allowdev.c' /etc/httpd/conf/httpd.conf ; then
      sed "s|^\AddModule mod_setenvif.c\$|AddModule mod_setenvif.c\\
#AddModule mod_allowdev.c\\
#AddModule mod_auth_cookie.c\\
#AddModule mod_auth_cookie_file.c\\
#AddModule mod_auth_external.c\\
#AddModule mod_auth_inst.c\\
#AddModule mod_auth_system.c\\
#AddModule mod_cache.c\\
#AddModule mod_cgisock.c\\
#AddModule mod_cvs.c\\
#AddModule mod_disallow_id.c\\
#AddModule mod_eaccess.c\\
#AddModule mod_fastcgi.c\\
#AddModule mod_ip_forwarding.c\\
#AddModule mod_lock.c\\
#AddModule mod_layout.c\\
#AddModule mod_macro.c\\
#AddModule mod_peephole.c\\
#AddModule mod_qs2ssi.c\\
#AddModule mod_random.c\\
#AddModule mod_roaming.c\\
#AddModule mod_session.c\\
#AddModule mod_ticket.c\\
#AddModule mod_urlcount.c|" < /etc/httpd/conf/httpd.conf > /etc/httpd/conf/httpd.conf-
      mv -f /etc/httpd/conf/httpd.conf- /etc/httpd/conf/httpd.conf
fi

echo ""
echo ""
echo "Contrib Modules are installed but not activated"
echo ""
echo "You must now edit file /etc/httpd/conf/httpd.conf"
echo "To activate a module just remove the leading #"
echo "before AddModule and LoadModule Directive"
echo ""


%preun
if [ $1 = 0 ]; then
	cat > /tmp/supmod <<EOF
LoadModule allowdev_module
LoadModule auth_system_module
LoadModule cache_module
LoadModule cgisock_module
LoadModule cookie_auth_module
LoadModule cookie_file_access_module
LoadModule cvs_module
LoadModule disallow_id_module
LoadModule eaccess_module
LoadModule external_auth_module
LoadModule fastcgi_module
LoadModule inst_auth_module
LoadModule layout_module
LoadModule lock_module
LoadModule macro_module
LoadModule peephole_module
LoadModule qs2ssi_module
LoadModule roaming_module
LoadModule random_module
LoadModule session_module
LoadModule ticket_module
LoadModule urlcount_module
LoadModule w3c_ip_forwarding_module
AddModule mod_allowdev.c
AddModule mod_auth_cookie.c
AddModule mod_auth_cookie_file.c
AddModule mod_auth_external.c
AddModule mod_auth_inst.c
AddModule mod_auth_system.c
AddModule mod_cache.c
AddModule mod_cgisock.c
AddModule mod_cvs.c
AddModule mod_disallow_id.c
AddModule mod_eaccess.c
AddModule mod_fastcgi.c
AddModule mod_ip_forwarding.c
AddModule mod_lock.c
AddModule mod_layout.c
AddModule mod_macro.c
AddModule mod_peephole.c
AddModule mod_qs2ssi.c
AddModule mod_random.c
AddModule mod_roaming.c
AddModule mod_session.c
AddModule mod_ticket.c
AddModule mod_urlcount.c
EOF
	grep -v -f /tmp/supmod < /etc/httpd/conf/httpd.conf > /etc/httpd/conf/httpd.conf-
	mv -f /etc/httpd/conf/httpd.conf- /etc/httpd/conf/httpd.conf
	rm -f /tmp/supmod
fi

%files
%defattr(644 root root 755)
%attr( - ,root,root)  %doc CHANGES README doc/
%attr( - ,root,root)  /usr/lib/apache

%files manual
%defattr(644 root root 755)
%attr(644,root,root)  %docdir /home/httpd/html/manual/mod
%attr( - ,root,root)  /home/httpd/html/manual/mod


%changelog
* Tue Apr 04 2000 Henri Gomez <gomez@slib.fr>
- 1.0.8
- Build against apache 1.3.12 (without SSL)
- Built on Redhat 6.2 (Zoot) 
- Splitted into 2 RPM, binary and manual

* Wed Sep 29 1999 Henri Gomez <gomez@slib.fr>
- Release 4
- Built against apache 1.3.9 and mod_ssl 2.4.4

* Tue Sep 7 1999 Henri Gomez <gomez@slib.fr>
- Release 3
- correct bad install of some READMEs
- install mod html doc in /home/httpd/html/manual/mod
- built against apache 1.3.9 and mod_ssl 2.4.2

* Tue Sep 7 1999 Henri Gomez <gomez@slib.fr>
- Release 2
- correct install script since LoadModule use path lib/apache
  instead of /usr/lib/apache

* Tue Sep 7 1999 Henri Gomez <gomez@slib.fr>
- Initial release for apache-mod_ssl contribs RPM
- RPM for apache_1.3.9 (mod_ssl 2.4.1) and contrib 1.0.7

